Update the Approvals Workflow configuration
curl --request POST \
--url https://{environment}.ebury.io/approvals-workflow/config \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"groups": [
{
"name": "<string>",
"scope": "<string>",
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
}
],
"ruleset": {
"currency": "<string>",
"rules": [
{
"groups": [
{
"one_of": [
{
"all_of": [
"<string>"
]
}
]
}
],
"minimum_threshold": 123
}
]
}
}
'import requests
url = "https://{environment}.ebury.io/approvals-workflow/config"
payload = {
"groups": [
{
"name": "<string>",
"scope": "<string>",
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
}
],
"ruleset": {
"currency": "<string>",
"rules": [
{
"groups": [{ "one_of": [{ "all_of": ["<string>"] }] }],
"minimum_threshold": 123
}
]
}
}
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
groups: [
{
name: '<string>',
scope: '<string>',
users: [{id: '<string>', name: '<string>', email: '<string>'}]
}
],
ruleset: {
currency: '<string>',
rules: [{groups: [{one_of: [{all_of: ['<string>']}]}], minimum_threshold: 123}]
}
})
};
fetch('https://{environment}.ebury.io/approvals-workflow/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groups": [
{
"name": "<string>",
"scope": "<string>",
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
}
],
"ruleset": {
"currency": "<string>",
"rules": [
{
"groups": [
{
"one_of": [
{
"all_of": [
"<string>"
]
}
]
}
],
"minimum_threshold": 123
}
]
}
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Approval Process
Update the Approvals Workflow configuration
POST
/
approvals-workflow
/
config
Update the Approvals Workflow configuration
Update the full Approvals Workflow configuration for a specific client. This requires sending the complete configuration, including both the groups and the approval rules.
Authorizations
An API Key.
Query Parameters
The ID of the client
Body
application/json
Client Approvals Workflow configuration to be set
Response
Updated client Approvals Workflow configuration